<?php

namespace Drupal\content_snapshot\ContentLoader;

use Drupal\content_snapshot\Snapshot\SnapshotItemInterface;

/**
 * Interface for ContentLoaderInterface.
 */
interface ContentLoaderInterface {

  /**
   * Looks for existing content based on the provided snapshot.
   *
   * @param \Drupal\content_snapshot\Snapshot\SnapshotItemInterface $snapshotItem
   *   Snapshot item.
   *
   * @return mixed|null
   *   Return mixed.
   */
  public function load(SnapshotItemInterface $snapshotItem);

}
