<?php

namespace Drupal\content_snapshot\Converter;

use Drupal\content_snapshot\Snapshot\SnapshotItemInterface;

/**
 * Interface for To Object Converter.
 */
interface ToObjectConverterInterface {

  /**
   * Convert SnapshotItem back into the object.
   *
   * @param \Drupal\content_snapshot\Snapshot\SnapshotItemInterface $snapshotItem
   *   Snapshot Item.
   *
   * @return mixed
   *   Returns.
   */
  public function snapshotItemToObject(SnapshotItemInterface $snapshotItem);

}
