<?php

namespace Drupal\content_snapshot\Logger;

use Psr\Log\LoggerInterface as BaseLogger;

/**
 * Specification of logger.
 */
interface LoggerInterface extends BaseLogger {

  /**
   * Sets logger that should be used for logging.
   *
   * @param \Psr\Log\LoggerInterface $logger
   *   Logger that should be used for logging.
   */
  public function setLogger(BaseLogger $logger): void;

}
